Name:          openswan
Version:       2.6.39
Release:       1mamba
Summary:       openswan is an implementation of IPSEC & IKE for Linux
Group:         Network/Security
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
Source0:       http://www.openswan.com/download/openswan-%{version}.tar.gz
Source1:       ipsec-initscript
Source2:       ipsec.conf
Source3:       ipsec-gencert
URL:           http://www.openswan.com/
License:       GPL
	       # BSD (DES library), redistributable (MD5 implementation)
BuildRequires: libgmp-devel >= 4.1.2
BuildRequires: libopenldap-devel >= 2.1.23
BuildRequires: bind-devel
Requires:      libgmp >= 4.1.2
Requires:      iproute >= 2.4.7
Requires:      perl
Conflicts:     freeswan
BuildRoot:     %{_tmppath}/%{name}-%{version}-build

%description
Openswan is an IPsec implementation for Linux. It has support for most of the extensions (RFC + IETF drafts) related to IPsec, including X.509 Digital Certificates, NAT Traversal, and many others.
Openswan was originally based on FreeS/WAN 2.04 CVS, along with some minor bug fixes from 2.05 and 2.06.  See CREDITS for the history.

It also includes Andreas Steffan's X.509 Digital Certificate patch, NAT-Traversal code (based on Mathieu Lafon's work for Arkoon) and XAUTH Server support (based on Columbris's code).

%prep
%setup -q

%build
ln freeswan linux/include/openswan -s
make %{_smp_mflags} programs \
   INC_USRLOCAL=%{_prefix} \
   INC_MANDIR=/share/man \
   FINALLIBEXECDIR=%{_libdir}/ipsec

%install
test x"$RPM_BUILD_ROOT" != x/ && rm -rf "$RPM_BUILD_ROOT"
make install \
   DESTDIR=$RPM_BUILD_ROOT \
   INC_USRLOCAL=%{_prefix} \
   INC_MANDIR=/share/man \
   INC_RCDEFAULT=%{_initrddir} \
   FINALLIBEXECDIR=%{_libdir}/ipsec

#cp -f %{SOURCE1} $RPM_BUILD_ROOT%{_initrddir}/ipsec
#mv %{buildroot}%{_initrddir}/setup %{buildroot}%{_initrddir}/ipsec

cp -f %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/
cp %{SOURCE3} $RPM_BUILD_ROOT%{_sbindir}

install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/ipsec.d/cacerts
install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/ipsec.d/certs
install -d -m755 $RPM_BUILD_ROOT%{_sysconfdir}/ipsec.d/crls
install -d -m700 $RPM_BUILD_ROOT%{_sysconfdir}/ipsec.d/private

%post
# new install
if [ $1 -eq 1 ]; then
   # generate a fresh RSA key pair
   if [ ! -f /etc/ipsec.secrets ]; then
      ipsec newhostkey --output /etc/ipsec.secrets --hostname `hostname -f`
      chmod 600 /etc/ipsec.secrets
   fi
fi
exit 0

%preun
#erase
if [ $1 -eq 0 ]; then
   service ipsec stop
   chkconfig --del ipsec
fi
exit 0

%postun
# upgrade
if [ $1 -eq 1 ]; then
   chkconfig ipsec && service ipsec restart
fi
exit 0

%clean
test x"$RPM_BUILD_ROOT" != x/ && rm -rf "$RPM_BUILD_ROOT"

%files
%defattr(-,root,root)
%{_sbindir}/ipsec
%{_sbindir}/ipsec-gencert
%{_initrddir}/ipsec
%dir %{_libdir}/ipsec
%{_libdir}/ipsec/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/ipsec.conf
%dir %{_sysconfdir}/ipsec.d
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/ipsec.d/examples/*
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/ipsec.d/policies/*
%{_sysconfdir}/ipsec.d/cacerts/
%{_sysconfdir}/ipsec.d/certs/
%{_sysconfdir}/ipsec.d/crls
%attr(0700,root,root) %{_sysconfdir}/ipsec.d/private

#%{_sysconfdir}/rc.d/rc0.d/*
#%{_sysconfdir}/rc.d/rc1.d/*
#%{_sysconfdir}/rc.d/rc2.d/*
#%{_sysconfdir}/rc.d/rc3.d/*
#%{_sysconfdir}/rc.d/rc4.d/*
#%{_sysconfdir}/rc.d/rc5.d/*
#%{_sysconfdir}/rc.d/rc6.d/*

%dir %{_datadir}/doc/openswan
%{_datadir}/doc/openswan/*
%{_mandir}/man?/*
%doc BUGS CHANGES COPYING CREDITS README

%changelog
* Wed Jun 05 2013 Automatic Build System <autodist@mambasoft.it> 2.6.39-1mamba
- automatic version update by autodist

* Sat Apr 28 2012 Automatic Build System <autodist@mambasoft.it> 2.6.38-1mamba
- automatic version update by autodist

* Mon Jul 25 2011 Automatic Build System <autodist@mambasoft.it> 2.6.35-1mamba
- automatic version update by autodist

* Sun Jun 19 2011 Automatic Build System <autodist@mambasoft.it> 2.6.34-1mamba
- automatic update by autodist

* Tue Feb 22 2011 Automatic Build System <autodist@mambasoft.it> 2.6.33-1mamba
- automatic update by autodist

* Thu Dec 23 2010 Automatic Build System <autodist@mambasoft.it> 2.6.32-1mamba
- automatic update by autodist

* Mon Dec 06 2010 Automatic Build System <autodist@mambasoft.it> 2.6.31-1mamba
- automatic update by autodist

* Mon Aug 16 2010 Automatic Build System <autodist@mambasoft.it> 2.6.28-1mamba
- automatic update by autodist

* Mon Jul 12 2010 Automatic Build System <autodist@mambasoft.it> 2.6.27-2mamba
- automatic rebuild by autodist

* Sat Jun 26 2010 Automatic Build System <autodist@mambasoft.it> 2.6.27-1mamba
- automatic update by autodist

* Tue Apr 27 2010 Automatic Build System <autodist@mambasoft.it> 2.6.25-1mamba
- automatic update by autodist

* Mon Jan 25 2010 Automatic Build System <autodist@mambasoft.it> 2.6.24-1mamba
- automatic update by autodist

* Tue Oct 13 2009 Automatic Build System <autodist@mambasoft.it> 2.6.23-1mamba
- automatic update by autodist

* Sat Jul 04 2009 Automatic Build System <autodist@mambasoft.it> 2.6.22-1mamba
- automatic update by autodist

* Sat Apr 04 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.21-1mamba
- automatic update by autodist

* Sun Mar 01 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.20-1mamba
- automatic update by autodist

* Sat Dec 13 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 2.6.19-1mamba
- update to 2.6.19

* Sat Oct 06 2007 Fabio Giani <fabio.giani@email.it> 2.4.6-1mamba
- update to 2.4.6

* Sun Jun 27 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.4-1qilnx
- new version build

* Tue May 27 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.2-2qilnx
- some fixes to ipsec-gencert script

* Thu May 20 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.2-1qilnx
- new version build

* Mon Apr 19 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.2rc3-1qilnx
- new version build

* Sun Apr 18 2004 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.2rc2-1qilnx
- new version build

* Fri Apr 02 2004 Davide Madrisan <davide.madrisan@qilinux.it> 2.1.1-1qilnx
- package creation

